import { default as React } from 'react';
import { useCurtains, useCallableCurtain } from '../Curtains/Curtains';
import { Modify } from '../../Utils';
import { ModalType } from './ModalsTypes';
import { useCurtain } from '../Curtains/CurtainInstance';

/**
 * More natural name of useCurtains for modals.
 * @see useCurtains
 */
export declare const useModals: typeof useCurtains;
/**
 * More natural name of useCurtain for modals.
 * @see useCurtain
 */
export declare const useModal: typeof useCurtain;
/**
 * More natural name of useCallableCurtain for modals.
 * @see useCallableCurtain
 */
export declare const useCallableModal: typeof useCallableCurtain;
/**
 * Modal main component.
 */
export declare function Modal({ className, title, closable, type, children, ...props }: React.PropsWithChildren<Modify<React.HTMLAttributes<HTMLDivElement>, {
    /**
     * Modal title.
     */
    title?: string;
    /**
     * Can disable close button.
     */
    closable?: boolean;
    /**
     * Modal type. None by default.
     */
    type?: ModalType;
}>>): React.JSX.Element;
