import { default as React } from 'react';
import { StepKeyType } from './StepsContext';

/**
 * Main Steps component.
 */
export declare function Steps({ children }: React.PropsWithChildren<{}>): React.JSX.Element;
/**
 * Steps navigator component.
 */
export declare function StepsNavigatorComponent(): React.JSX.Element;
/**
 * Component of a step.
 */
export declare function Step({ stepKey, stepTitle, children }: React.PropsWithChildren<{
    /**
     * The current step unique key.
     */
    stepKey: StepKeyType;
    /**
     * The step title, to show in the navigator.
     */
    stepTitle?: React.ReactNode;
}>): React.JSX.Element;
