import { default as React, DependencyList } from 'react';

export type Modify<T, R> = Omit<T, keyof R> & R;
/**
 * Merge multiple class names to one full class name.
 * @param className Class names.
 */
export declare function classes(...className: (string | null | undefined | false)[]): string;
export declare function formatDate(date: Date): string;
export declare function formatTime(date: Date): string;
/**
 * Normalize a given string for searching.
 * @param str The string to normalize.
 */
export declare function normalizeString(str: string): string;
/**
 * Get the previous value of a given value.
 * @param currentValue The current value.
 */
export declare function usePreviousValue<T>(currentValue: T): T;
/**
 * Create a callback for a form submit function that fully overrides default form behavior.
 * @param submitFunction The function to call on form submit.
 * @param dependencies Submit function dependencies.
 */
export declare function useFormSubmit(submitFunction: () => void, dependencies?: DependencyList): React.FormEventHandler<HTMLFormElement>;
